Recent Posts

Pages: [1] 2 3 ... 10
1
.NET / Re: .NET Getting Started
« Last post by Kerry on Today at 08:33:38 pm »
2
CAD General / Re: command <lasso selection>
« Last post by lammerts on Today at 04:35:20 pm »
Yes, lasso! indeed, that is what i meant
Fence and polygon selection is covered allright.

So, where can i find it..?

Command: s
Select objects: 'select
** That command may not be invoked transparently **
*Invalid selection*
Expects a point or Window/Last/Crossing/BOX/ALL/Fence/WPolygon/CPolygon/Add/Remove/Multiple/Previous/Undo/AUto/SIngle
Select objects:
3
AutoLISP (Vanilla / Visual) / Re: Area of Mpolygon
« Last post by vertamboz on Today at 04:06:48 pm »
I updated the upper dowload: netload VanillaMPolygon_19.dll for AutoCAD 2013 or later.

Thank you very much, you've been really helpful to me! And sorry for my bad english. :)
4
http://www.theswamp.org/index.php?topic=43368.msg486189#msg486189
K.

Kruuger, I didn't want to take away from Keith's thread so I will ask here.

Why don't you use LiFP for processing all of that? You can set up a nice set of definitions (;@define) or if you want to keep it simple you can just use preprocessor directives.
Code - Auto/Visual Lisp: [Select]
  1. (defun myfoo ( / )
  2.  ;#ifdef EN
  3.  (princ sayHelloInEnglish)
  4.  ;#endif
  5.  ;#ifndef FR
  6.  (princ sayHelloInFrench)
  7.  ;#endif
  8.  (princ)
  9. )

...In either case you can output several differnt versions [-i.e. using diferent languages for example] of your application with one shot in a fraction of a second.
hi Se7en
yes this should works. but questions is... is Peter2 want create multilingual program or just simple translate all calls in additional file. with lng files we give to user a possibility to create his own translation.
k.
5
If I create an .xls file (Excel 8.0) I am able to create a table (=sheet) with numerical fields:
Code: [Select]
(setq oConnect (vlax-get-or-create-object "ADODB.Connection"))
(vlax-invoke
  oConnect
  'Open
  "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\\Test_8.xls;Extended Properties=\"Excel 8.0;HDR=Yes;\";"
)
(vlax-invoke oConnect 'Execute "CREATE TABLE [newTable] (Nr INT, Article VARCHAR, Price INT)")
(vlax-invoke oConnect 'Execute "INSERT INTO [newTable$] (Nr, Article, Price) VALUES (1, 'Bolt', 0.25)")
(vlax-invoke oConnect 'Execute "INSERT INTO [newTable$] (Nr, Article, Price) VALUES (2, 'Nut', 0.15)")
(vlax-invoke oConnect 'Execute "INSERT INTO [newTable$] (Nr, Article, Price) VALUES (3, 'Washer', 0.10)")
(vlax-invoke oConnect 'Close)

If I try the same with an .xlsx file it does not work. All the fields in the new table are text fields. Does anybody know a solution?
Code: [Select]
(setq oConnect (vlax-get-or-create-object "ADODB.Connection"))
(vlax-invoke
  oConnect
  'Open
  "Provider=Microsoft.ACE.OLEDB.12.0;Data Source=C:\\Test_12.xlsx;Extended Properties=\"Excel 12.0;HDR=Yes;\";"
)
(vlax-invoke oConnect 'Execute "CREATE TABLE [newTable] (Nr INT, Article VARCHAR, Price INT)")
(vlax-invoke oConnect 'Execute "INSERT INTO [newTable$] (Nr, Article, Price) VALUES (1, 'Bolt', 0.25)")
(vlax-invoke oConnect 'Execute "INSERT INTO [newTable$] (Nr, Article, Price) VALUES (2, 'Nut', 0.15)")
(vlax-invoke oConnect 'Execute "INSERT INTO [newTable$] (Nr, Article, Price) VALUES (3, 'Washer', 0.10)")
(vlax-invoke oConnect 'Close)

I have tried alternative field types (INTEGER, REAL, DOUBLE). They do not solve the issue. Although they also work for Excel 8.0.
6
AutoLISP (Vanilla / Visual) / Re: Area of Mpolygon
« Last post by gile on Today at 03:13:54 pm »
A new release of PL2MPG, source code here.

It is possible to use this in autocad 2013 vanilla? I tried it, but it did't work. (My skills in .net are 0)

I updated the upper dowload: netload VanillaMPolygon_19.dll for AutoCAD 2013 or later.
7
CAD General / Re: command <lasso selection>
« Last post by tedg on Today at 02:25:40 pm »
Is there a way to start lasso selection from the commandline? Strangely, this doesn't seem to be documentated.
Sometimes i have some difficulties working with mousebuttons when i hoover over objects like hatches.

Thanks in regard

http://knowledge.autodesk.com/support/autocad/learn-explore/caas/CloudHelp/cloudhelp/2015/ENU/AutoCAD-Core/files/GUID-0DD5DA73-9DC5-4424-8FED-7BBE3BE52A4D-htm.html


You mean like use the fence option for selecting objects,? example command: move > F <make a fence through your objects>
Or maybe Cpolygon or Wpolygon is more like lasso.


This is covered in your link, but maybe that's not what you want to do.
I believe you need to start out with a command first that requires objects to be selected, and then type in your selection type.
8
from side view................same size....
9
oblique/vertical exaggeration  i.e. Don't trust your eyes on this one
10
I atached a photo from your corridor. On vertical side tunnel becomes thin. But Tunnel corridor width and height should be constant.
Pages: [1] 2 3 ... 10